com.google.appengine.tools.admin

## Class AppAdminFactory.ConnectOptions

- java.lang.Object
- - com.google.appengine.tools.admin.AppAdminFactory.ConnectOptions

- Enclosing class:
    AppAdminFactory

      public static class AppAdminFactory.ConnectOptions
      extends java.lang.Object

  The options used to connect to the remote App Engine administration server.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppAdminFactory.ConnectOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `com.google.appengine.tools.util.ClientCookieManager` | `getCookies()` Retrieves the current cookie manager.
    `java.lang.String` | `getHost()` Returns the value used for the Host header sent to the server with RPCs.
    `java.lang.String` | `getOauthToken()` Returns the OAuth 2.0 token being used for authentication, or `null` if none.
    `AppAdminFactory.PasswordPrompt` | `getPasswordPrompt()` Retrieves the prompter used to get the user's password.
    `boolean` | `getRetainUploadDir()` Returns `true` if the upload directory should not be deleted.
    `java.lang.String` | `getSdkRoot()` Returns the location of the AppEngine SDK directory.
    `boolean` | `getSecure()` Returns whether to use HTTPS for communicating with the Admin Console.
    `java.lang.String` | `getServer()` Returns the server address to connect to.
    `boolean` | `getUsePersistedCredentials()` Returns whether to use persisted credentials (load/save to/from disk).
    `java.lang.String` | `getUserId()` Retrieves the user's email address used to authenticate to the server.
    `int` | `hashCode()`
    `void` | `setCookies(com.google.appengine.tools.util.ClientCookieManager cookies)` Associates a `ClientCookieManager` to store cookies received from the server, for later reuse in other requests.
    `void` | `setHost(java.lang.String host)` The host name to supply to the remote server.
    `void` | `setOauthToken(java.lang.String oauthToken)` Sets the OAuth 2.0 token to use for authentication (instead of requiring a username and password).
    `void` | `setPasswordPrompt(AppAdminFactory.PasswordPrompt prompt)` The password prompt to get the user's password.
    `void` | `setRetainUploadDir(boolean flag)` Controls whether we clean up our temporary files, or leave it for debugging.
    `void` | `setSdkRoot(java.lang.String sdkRoot)` A file path to the top directory of the Google App Engine SDK.
    `void` | `setSecure(boolean secure)` Sets whether to use HTTPS for communicating with the Admin Console.
    `void` | `setServer(java.lang.String server)` The remote administration server to connect to.
    `void` | `setUsePersistedCredentials(boolean usePersistedCredentials)` Sets whether to use persisted credentials (load/save to/from disk).
    `void` | `setUserId(java.lang.String userId)` The user id for the App Engine account.

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppAdminFactory.ConnectOptions

          public AppAdminFactory.ConnectOptions()

  - ### Method Detail

    - #### getUserId

          public java.lang.String getUserId()

      Retrieves the user's email address used to authenticate to the server.
      Returns:
        user identity

    - #### setUserId

          public void setUserId(java.lang.String userId)

      The user id for the App Engine account. This should be the same e-mail address used to register the account owning the App Engine application.
      Parameters:
        `userId` - the not `null` e-mail address

    - #### getPasswordPrompt

          public AppAdminFactory.PasswordPrompt getPasswordPrompt()

      Retrieves the prompter used to get the user's password.
      Returns:
        the `AppAdminFactory.PasswordPrompt` to be used

    - #### setPasswordPrompt

          public void setPasswordPrompt(AppAdminFactory.PasswordPrompt prompt)

      The password prompt to get the user's password.
      Parameters:
        `prompt` - the `AppAdminFactory.PasswordPrompt` that's being used

    - #### getServer

          public java.lang.String getServer()

      Returns the server address to connect to.

    - #### setServer

          public void setServer(java.lang.String server)

      The remote administration server to connect to. This is an advanced option that should rarely be set by users.
      Parameters:
        `server` - May be set to `null` to use the default server.

    - #### getHost

          public java.lang.String getHost()

      Returns the value used for the Host header sent to the server with RPCs.
      Returns:
        hostname to insert into request headers

    - #### setHost

          public void setHost(java.lang.String host)

      The host name to supply to the remote server. This is an advanced option that should rarely be set by users.
      Parameters:
        `host` - May be set to `null` to use the default host name.

    - #### setRetainUploadDir

          public void setRetainUploadDir(boolean flag)

      Controls whether we clean up our temporary files, or leave it for debugging.

    - #### getRetainUploadDir

          public boolean getRetainUploadDir()

      Returns `true` if the upload directory should not be deleted.

    - #### getSdkRoot

          public java.lang.String getSdkRoot()

      Returns the location of the AppEngine SDK directory.

    - #### setSdkRoot

          public void setSdkRoot(java.lang.String sdkRoot)

      A file path to the top directory of the Google App Engine SDK.
      Parameters:
        `sdkRoot` - the not `null` path to the SDK

    - #### getCookies

          public com.google.appengine.tools.util.ClientCookieManager getCookies()

      Retrieves the current cookie manager.
      Returns:
        the cookie manager set with `setCookies(ClientCookieManager)`.

    - #### setCookies

          public void setCookies(com.google.appengine.tools.util.ClientCookieManager cookies)

      Associates a `ClientCookieManager` to store cookies received from the server, for later reuse in other requests.
      Parameters:
        `cookies` - the cookie manager to use

    - #### getSecure

          public boolean getSecure()

      Returns whether to use HTTPS for communicating with the Admin Console. By default, this returns true.

    - #### setSecure

          public void setSecure(boolean secure)

      Sets whether to use HTTPS for communicating with the Admin Console.
      Parameters:
        `secure` - true for HTTPS, false for HTTP

    - #### setOauthToken

          public void setOauthToken(java.lang.String oauthToken)

      Sets the OAuth 2.0 token to use for authentication (instead of requiring a username and password).

    - #### getOauthToken

          public java.lang.String getOauthToken()

      Returns the OAuth 2.0 token being used for authentication, or `null` if none.

    - #### setUsePersistedCredentials

          public void setUsePersistedCredentials(boolean usePersistedCredentials)

      Sets whether to use persisted credentials (load/save to/from disk).

    - #### getUsePersistedCredentials

          public boolean getUsePersistedCredentials()

      Returns whether to use persisted credentials (load/save to/from disk).

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`